--- third-party/pjproject/patches/0011-sip_inv_patch.patch	2021-06-07 21:39:18.000000000 +0100
+++ third-party/pjproject/patches/0011-sip_inv_patch.patch	2021-06-07 10:44:16.000000000 +0100
@@ -15,11 +15,13 @@
 index ca225015b..7c11b1c8e 100644
 --- a/pjsip/src/pjsip-ua/sip_inv.c
 +++ b/pjsip/src/pjsip-ua/sip_inv.c
-@@ -323,9 +323,19 @@ static void inv_set_state(pjsip_inv_session *inv, pjsip_inv_state state,
+@@ -323,9 +323,20 @@ static void inv_set_state(pjsip_inv_session *inv, pjsip_inv_state state,
  	(*mod_inv.cb.on_state_changed)(inv, e);
      pjsip_inv_dec_ref(inv);
  
 -    /* Only decrement when previous state is not already DISCONNECTED */
+-    if (state == PJSIP_INV_STATE_DISCONNECTED &&
+-	prev_state != PJSIP_INV_STATE_DISCONNECTED) 
 +    /* The above callback may change the state, so we need to be careful here
 +     * and only decrement inv under the following conditions:
 +     * 1. If the state parameter is DISCONNECTED, and previous state is not
@@ -30,10 +32,10 @@
 +     *    inv within the callback. Note that this check must be last since
 +     *    inv may have already been destroyed.
 +     */
-     if (state == PJSIP_INV_STATE_DISCONNECTED &&
--	prev_state != PJSIP_INV_STATE_DISCONNECTED) 
-+	prev_state != PJSIP_INV_STATE_DISCONNECTED &&
-+	inv->state == PJSIP_INV_STATE_DISCONNECTED) 
++    if ((state == PJSIP_INV_STATE_DISCONNECTED &&
++	prev_state != PJSIP_INV_STATE_DISCONNECTED) ||
++	(prev_state != PJSIP_INV_STATE_DISCONNECTED &&
++	inv->state == PJSIP_INV_STATE_DISCONNECTED))
      {
  	pjsip_inv_dec_ref(inv);
      }
